<?php

// 	Set Up AutoFocus+ Pro
//	- Tell WordPress to run nt_setup() when the 'after_setup_theme' hook is run.
add_action( 'after_setup_theme', 'nt_setup' );

if ( ! function_exists( 'nt_setup' ) ):
function nt_setup() {
	// This theme styles the visual editor with editor-style.css to match the theme style.
	add_editor_style();

	// This theme uses post thumbnails
	add_theme_support( 'post-thumbnails' );

	// Add AutoFocus+ Pro Header
	define( 'HEADER_TEXTCOLOR', '' );
	// No CSS, just IMG call. The %s is a placeholder for the theme template directory URI.
	// define( 'HEADER_IMAGE', '%s/css/headers/path.jpg' );
	
	// The height and width of your custom header. You can hook into the theme's own filters to change these values.
	// Add a filter to twentyten_header_image_width and twentyten_header_image_height to change these values.
	define( 'HEADER_IMAGE_WIDTH', apply_filters( 'nt_header_image_width', 985 ) );
	define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'nt_header_image_height', 200 ) );
	
	// We'll be using post thumbnails for custom header images on posts and pages.
	// We want them to be 50 pixels wide by 50 pixels tall.
	// Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
//	set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );
	
	// Add Neutica+ Header styles for Admin
	add_custom_image_header( '', 'nt_admin_header_style' );

	// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
	register_default_headers( array(
//		'none' => array(
//			'url' => 'none',
//			'thumbnail_url' => 'none',
//			'description' => __( 'No Header Image', 'thematic' )
//		),
		'random' => array(
			'url' => get_bloginfo('stylesheet_directory') . '/header-images/rotator.php',
			'thumbnail_url' => get_bloginfo('stylesheet_directory') . '/header-images/rotator.php',
			'description' => __( 'Random Header Image', 'thematic' )
		)
	) );
}
endif;

// Add AutoFocus+ Pro Header styles for Admin
if ( ! function_exists( 'nt_admin_header_style' ) ) :
function nt_admin_header_style() {
global $childoptions, $options;
foreach ($childoptions as $value) {
    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
}
foreach ($options as $value) {
    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
} ?>
<style type="text/css">
/* Shows the same border as on front end */
.appearance_page_custom-header #headimg {min-height:200px;border-width:0;padding:0;margin:0;background:#FFF;background-repeat:no-repeat;background-position:0 center;width:985px;margin:0 16px 0 0;float:left;clear:none;display:block;}
#headimg:hover {background-color:#<?php echo $nt_hover_color; ?>;}
#headimg h1 {line-height:200px;position:relative;padding:0 0 0 50px;margin:0;}
#headimg a[style] {color:#<?php echo $nt_fg_color; ?> !important;padding:0 5px;font-size:64px;font-weight:600;text-decoration:none;line-height:200px;font-family: Helvetica, HelveticaNeue, "Helvetica Neue", Arial, sans-serif;}
#headimg a[style]:hover {color:#<?php echo $nt_bg_color; ?> !important;}
#headimg:hover #name {color:#FFF;}
#headimg #desc { }
</style>
<?php }
endif;

//	Set default content width for images in post content
$_GLOBALS['content_width'] = 585;

//	Add Thematic classes
define('THEMATIC_COMPATIBLE_BODY_CLASS', true);
define('THEMATIC_COMPATIBLE_POST_CLASS', true);
define('THEMATIC_COMPATIBLE_COMMENT_FORM', true);
define('THEMATIC_COMPATIBLE_FEEDLINKS', true);

//	Load Color Options
function nt_load_color_options() {
	global $childoptions;
	foreach ($childoptions as $value) {
	    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
	} ?>
	<style type="text/css">
	/* <![CDATA[ */
	/* Neutica+ Colors & Settings */
<?php $ntcoloroptions = dirname( __FILE__ ) . '/css/colors-settings.php'; if( is_file( $ntcoloroptions ) ) require $ntcoloroptions; ?>
	/* ]]> */
	</style>
<?php }
add_action('wp_head', 'nt_load_color_options');

//	Add custom JS & jQuery scripts on NON-admin pages.
function nt_enqueue_scripts() {
	if ( !is_admin() ) { // Is this necessary?
 		wp_enqueue_script('hashgrid', get_bloginfo('stylesheet_directory') . '/js/hashgrid.js', array('jquery'), '0.7.9' );
		wp_enqueue_script('easing', get_bloginfo('stylesheet_directory') . '/js/jquery.easing.1.2.js', array('jquery'), '1.2' );
		wp_enqueue_script('imgcenter', get_bloginfo('stylesheet_directory') . '/js/jquery.imgCenter.minified.js', array('jquery', 'easing'), '1.2' );
		wp_enqueue_script('anythingslider', get_bloginfo('stylesheet_directory') . '/js/jquery.anythingslider.min.js', array('jquery', 'easing'), '1.4.6' );
		wp_enqueue_script('autofocusjs', get_bloginfo('stylesheet_directory') . '/js/jquery.neuticaplus.js', array('jquery', 'anythingslider', 'imgcenter', 'hashgrid'), '1.3' );
	}
}
add_action('wp_print_scripts', 'nt_enqueue_scripts');

//	Custom Blog Header
// Remove default Thematic blogtitle
function remove_thematic_actions() {
	remove_action('thematic_header', 'thematic_blogtitle', 3);
	remove_action('thematic_header', 'thematic_access', 9);
}
add_action('init','remove_thematic_actions');

// Add NEW Thematic blogtitle
function neutica_blogtitle() { ?>
    		<div id="blog-title"><a href="<?php echo get_option('home') ?>/" title="<?php bloginfo('name') ?>" rel="home"><span><?php bloginfo('name') ?></span></a></div>
<?php }
add_action ('thematic_header', 'neutica_blogtitle',3);

// Adds Thematic menu to the header
function neutica_access() {
	global $childoptions;
	foreach ($childoptions as $value) {
	    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
	} ?>
	
	<?php // Is the header set to have a menu?
		if($nt_head_menu == 'true') { ?>

		<div id="access">	    		
			<div class="skip-link"><a href="#content" title="<?php _e('Skip navigation to the content', 'thematic'); ?>"><?php _e('Skip to content', 'thematic'); ?></a></div><!-- .skip-link -->
			<?php 
			if ((function_exists("has_nav_menu")) && (has_nav_menu(apply_filters('thematic_primary_menu_id', 'primary-menu')))) {
				echo  wp_nav_menu(thematic_nav_menu_args());
	    	} else {
	    		echo  thematic_add_menuclass(wp_page_menu());	
	    	}
			?>
		    
		</div><!-- #access -->	
	<?php }	
}
add_action('thematic_header','neutica_access',9);

// Register the new menus
function register_child_menus() {
	register_nav_menus(array(
		'sidebar-menu' => __( 'Sidebar Menu' ),
	));
}
add_action( 'init', 'register_child_menus' );

// Child Sidebar Navigation
function child_sidebar_nav() {

   if ( has_nav_menu( 'sidebar-menu' ) ) {
		wp_nav_menu( array(
			'show_home' 		=> __( 'Home', 'thematic' ),
			'sort_column'		=> 'menu_order',
			'depth' 			=> '1',
			'container_class' 	=> 'menu',
			'menu_class'		=> 'sf-menu',
			'container_id'		=>'sidebar-menu',
			'theme_location' 	=> 'sidebar-menu',
			'fallback_cb' 		=> 'child_sidebar_fall_back'
		) );

    } else {
		child_sidebar_fall_back();
    }
}

function child_header_nav_args($args) {
	$args = array(
		'show_home' 		=> __('Home', 'thematic'),
		'sort_column' 		=> 'menu_order',
		// 'depth' 			=> '1',
		'menu_class'		=> 'menu',
		'echo' 				=> FALSE
	);
	return $args;
}

// Set up a fall-back menu for the sidebar just in case there are no menus to use.
// Set the Args
function child_sidebar_nav_args($args) {
	$args = array(
		'show_home' 		=> __('Home', 'thematic'),
		'sort_column' 		=> 'menu_order',
		'depth' 			=> '3',
		'menu_class'		=> 'menu',
		'echo' 				=> FALSE
	);
	return $args;
}

// Fall back function
function child_sidebar_fall_back() {
	echo thematic_add_menuclass(wp_page_menu());
}
add_filter('wp_page_menu_args','child_sidebar_nav_args', 20);

//	Favorite Icon
function neutica_favicon() { ?>
	<link rel="shortcut icon" href="<?php echo bloginfo('stylesheet_directory') ?>/img/favicon.ico" />
<?php }
add_action('wp_head', 'neutica_favicon');

// Add the Featured/Sticky Post section 
function sticky_feature() { 
	global $childoptions;
	foreach ($childoptions as $value) {
	    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
	}
	
	if( $nt_featured_posts == 'static' && is_home() && !is_paged() ) { ?>
		<?php if (get_option('sticky_posts')) { ?>
			<?php $sticky=get_option('sticky_posts'); $randomStickyNo=0; $randomStickyNo=(rand()%(count($sticky))); $postno = $sticky[($randomStickyNo)]; $temp = $stickyquery; $stickyquery = null; $stickyquery = new WP_Query(); $stickyquery->query('orderby=rand&showposts=1&p=' . $postno); while ($stickyquery->have_posts()) : $stickyquery->the_post(); $do_not_duplicate = $post->ID; ?>
			<div id="neutica-feature">
				<div id="post-<?php the_ID() ?>" class="<?php thematic_post_class() ?> feature-sticky">
					<h2><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), wp_specialchars(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h2>
				<?php if ( has_post_thumbnail() ) { ?>
					<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_thumbnail('large'); ?></a>
				<?php } else { ?>
					<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_image('large'); ?></a>
				<?php } ?>
					<?php the_excerpt(); ?>
				</div>
			</div><!-- #neutica-feature -->
			<?php endwhile; ?>
			<?php
				if (!is_paged() && is_home()) {
					query_posts(array(
					'post__not_in' =>get_option('sticky_posts'),
					'caller_get_posts' => 1,
					));
				}
			?>
		<?php } else { ?>
			<!-- There are no sticky posts here. -->
		<?php }
	} 
}
add_action('thematic_navigation_above','sticky_feature', 6);

function sliding_sticky_featured() {
	global $childoptions;
	foreach ($childoptions as $value) {
	    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
	}
	
	if( $nt_featured_posts == 'sliding' && is_home() && !is_paged() ) { ?>

		<?php if (get_option('sticky_posts')) { ?>
				
				<?php
				// Set Up New Query
				$sticky = get_option('sticky_posts');
				$randomStickyNo = 0;
				$randomStickyNo = (rand()%(count($sticky)));
				$postno = $sticky[($randomStickyNo)];
				$temp = $featurestickyquery;
				$featuredstickyquery = null;
				$featuredstickyquery = new WP_Query();
				$featuredstickyquery->query(array(
					// 'orderby' => 'rand', 
					'showposts' => '5',
					'post__in' =>get_option('sticky_posts')
					)); ?>

				<ul id="neutica-sliding-feature">

				<?php while ($featuredstickyquery->have_posts()) : $featuredstickyquery->the_post(); $do_not_duplicate = $post->ID; ?>
				
					<li id="post-<?php the_ID() ?>" class="<?php thematic_post_class() ?> feature-sticky">
						<?php if ( has_post_thumbnail() ) { ?>
					    	<div class="entry-slider-image">
								<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_thumbnail('large'); ?></a>
					    	</div>
						<?php } else { ?>
					    	<div class="entry-slider-image">
								<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_image('large'); ?></a>
					    	</div>
						<?php } ?>
						<h2 class="entry-title"><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), wp_specialchars(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h2>
						<?php the_excerpt(); ?>
					</li>
				<?php endwhile; ?>

				</ul><!-- #neutica-feature -->

				<div id="title-navigation">
				<?php $count = 0; ?>
				<?php while ($featuredstickyquery->have_posts()) : $featuredstickyquery->the_post(); ?>
				<?php $count++; 
					if ($count == 1) { ?>
					<a class="slidelink current" id="slidenum-<?php echo $count; ?>" title="<?php printf(__('Slide to %s', 'thematic'), wp_specialchars(get_the_title(), 1)) ?>" rel="<?php echo $count; ?>"><?php the_title(); ?></a>
				<?php } else { ?>
					<a class="slidelink" id="slidenum-<?php echo $count; ?>" title="<?php printf(__('Slide to %s', 'thematic'), wp_specialchars(get_the_title(), 1)) ?>" rel="<?php echo $count; ?>"><?php the_title(); ?></a>
				<?php } 
					endwhile; ?>
				</div>

				<?php $featuredstickyquery = null; $temp = $featuredstickyquery; ?>

			<?php
				if (!is_paged() && is_home()) {
					query_posts(array(
					'post__not_in' =>get_option('sticky_posts'),
					'caller_get_posts' => 1,
					));
				}
			?>
		<?php } else { ?>
			<!-- There are no sticky posts here. -->
		<?php }
	}
}
add_action('thematic_abovecontainer','sliding_sticky_featured', 1);

// Creates the post content 
function childtheme_override_content() {
	global $thematic_content_length;

	if ( strtolower($thematic_content_length) == 'full' ) {
		$post = get_the_content(more_text());
		$post = apply_filters('the_content', $post);
		$post = str_replace(']]>', ']]&gt;', $post);
	} elseif ( strtolower($thematic_content_length) == 'excerpt') {
		$post = '';
		$post .= get_the_excerpt();
		$post = apply_filters('the_excerpt',$post);
	} elseif ( strtolower($thematic_content_length) == 'none') {
	} else {
		$post = get_the_content(more_text());
		$post = apply_filters('the_content', $post);
		$post = str_replace(']]>', ']]&gt;', $post);
	}
	echo apply_filters('thematic_post', $post);
} // end content

function childtheme_override_content_init() {
	global $thematic_content_length, $childoptions;
	foreach ($childoptions as $value) {
	    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
	}

		$content = '';
		$thematic_content_length = '';

    	if (is_home() || is_front_page() || is_archive() || is_search()) { 
			if ($nt_show_full_posts =='true') {
				$content = 'full';
	    	} elseif ($nt_show_full_posts =='false') {
	        	$content = 'excerpt';
	    	}
		} elseif (is_single()) {
			$content = 'full';
		} elseif (is_tag()) {
			$content = 'excerpt';
		} elseif (is_search()) {
			$content = 'excerpt';	
		} elseif (is_category()) {
			$content = 'excerpt';
		} elseif (is_author()) {
			$content = 'excerpt';
		} elseif (is_archive()) {
			$content = 'excerpt'; 
		}

		$thematic_content_length = apply_filters('thematic_content', $content);

	}
add_action('template_redirect','childtheme_override_content_init');

//	Neutica post class for content options
function neutica_post_class() {
global $childoptions;
foreach ($childoptions as $value) {
    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
}

    if (is_home() || is_front_page() || is_archive() || is_search()) {
		if ($nt_show_full_posts =='true') {
			echo 'full-post';
    	} elseif ($nt_show_full_posts =='false') {
        	echo 'excerpt-post';
    	}
    }
}

//	Add <p> Tags to Excerpts
//	- http://themeshaper.com/forums/topic/missing-paragraph-tags-in-the_excerpt
//	- Thanks Em hr!
function neutica_excerpt_autop() {
	if ( strtolower($content) == 'full' ) {
		$post = get_the_content(more_text());
		$post = apply_filters('the_content', $post);
		$post = str_replace(']]>', ']]&gt;', $post);
	} elseif ( strtolower($content) == 'excerpt') {
		$post = get_the_excerpt();
		//	Add in the <p> tags
		$post = wpautop($post);
	} elseif ( strtolower($content) == 'none') {
	} else {
		$post = get_the_content(more_text());
		$post = apply_filters('the_content', $post);
		$post = str_replace(']]>', ']]&gt;', $post);
	}
	return $post;
}
// add_filter('thematic_post','neutica_excerpt_autop');

//	Add Read more and arrows to the Post excerpt. Replaces […]
function neutica_readmore($text) {
	//	No arrows on the Home page excerpts 
	return str_replace('[...]', ' &hellip; <a href="'.get_permalink().'" class="more-link">' . __('Read More ', 'thematic') . '<span class="excerpt-arrow">&rarr;</span></a>', $text);
}
add_filter('get_the_excerpt', 'neutica_readmore');

//	Add New Excerpt Word Count
function neutica_excerpt_length($length) {
	//	Change the returned values to add more or less words to excerpts.
	if (is_archive() || is_search()) {
		return 45;
	} else {
		return 35;
} }
add_filter('excerpt_length', 'neutica_excerpt_length'); 

//	Remove default Thematic loops
function remove_thematic_loops() {
	remove_action('thematic_navigation_below', 'thematic_nav_below', 2);
	remove_action('thematic_navigation_above', 'thematic_nav_above', 2);
	remove_action('thematic_archiveloop', 'thematic_archive_loop');
	remove_action('thematic_authorloop', 'thematic_author_loop');
	remove_action('thematic_categoryloop', 'thematic_category_loop');
	remove_action('thematic_indexloop', 'thematic_index_loop');
	remove_action('thematic_searchloop', 'thematic_search_loop');
	remove_action('thematic_tagloop', 'thematic_tag_loop');
}
add_action('init','remove_thematic_loops');

// Adds Neutica above navigation with brackets
function neutica_nav_above() {
		if (is_single()) { ?>

			<div id="nav-above" class="navigation">
				<div class="nav-previous"><?php thematic_previous_post_link() ?></div>
				<div class="nav-next"><?php thematic_next_post_link() ?></div>
			</div>

<?php
		} else { ?>

			<div id="nav-above" class="navigation">
                <?php if(function_exists('wp_pagenavi')) { ?>
                <?php wp_pagenavi(); ?>
                <?php } else { ?>  
				<div class="nav-previous"><?php next_posts_link(__('<span class="meta-nav">&lang;</span> Older posts', 'thematic')) ?></div>
				<div class="nav-next"><?php previous_posts_link(__('Newer posts <span class="meta-nav">&rang;</span>', 'thematic')) ?></div>
				<?php } ?>
			</div>	
	
<?php
		}
}
add_action('thematic_navigation_above', 'neutica_nav_above', 3);

//	Filter single post Above navigation to include brackets
function neutica_previous_post_link_args($args) {
	$args = array (
		'format'              => '%link',
		'link'                => '<span class="meta-nav">&lang;</span> %title',
		'in_same_cat'         => FALSE,
		'excluded_categories' => ''
	);
	return $args;
}
add_filter('thematic_previous_post_link_args', 'neutica_previous_post_link_args');

//	Filter single post Below navigation to include brackets
function neutica_next_post_link_args($args) {
	$args = array (
		'format'              => '%link',
		'link'                => '%title <span class="meta-nav">&rang;</span>',
		'in_same_cat'         => FALSE,
		'excluded_categories' => ''
	);
	return $args;
}
add_filter('thematic_next_post_link_args', 'neutica_next_post_link_args');

//	Add Custom Neutica Loop
function neutica_index_loop() {
    global $post;
	global $options;
	foreach ($options as $value) {
    if (get_option( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; }
	    else { $$value['id'] = get_option( $value['id'] ); }
    }
	while ( have_posts() ) : the_post() ?>

	<?php thematic_abovepost(); ?>

			<div id="post-<?php the_ID() ?>" class="<?php thematic_post_class() ?> <?php neutica_post_class() ?>">
    			<?php thematic_postheader(); ?>
				<div class="entry-content">
<?php thematic_content(); ?>

				<?php wp_link_pages('before=<div class="page-link">' .__('Pages:', 'thematic') . '&after=</div>') ?>
				</div>
				<?php thematic_postfooter(); ?>
			</div><!-- .post -->

				<?php comments_template();

		endwhile;
}
add_action('thematic_archiveloop', 'neutica_index_loop');
add_action('thematic_authorloop', 'neutica_index_loop');
add_action('thematic_categoryloop', 'neutica_index_loop');
add_action('thematic_indexloop', 'neutica_index_loop');
add_action('thematic_searchloop', 'neutica_index_loop');
add_action('thematic_tagloop', 'neutica_index_loop');

//	Custom Post Header
function neutica_post_header() {
    global $post;
	global $childoptions;
	foreach ($childoptions as $value) {
	    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
	}
 
    if (is_page()) { ?>
        <h2 class="entry-title"><?php the_title(); ?></h2>        

    <?php } elseif (is_404()) { ?>
        <h2 class="entry-title"><?php _e('Not Found', 'thematic'); ?></h2>

    <?php } elseif (is_attachment()) { ?>
		<h2 class="entry-title"><?php the_title(); ?></h2>
    	<div class="entry-utility">
			<span class="meta-utility author vcard"><?php _e('Uploaded by ', 'thematic'); ?><?php the_author_posts_link(); ?>.</span>
    		<span class="meta-utility entry-date"><?php _e('Posted on ', 'thematic'); ?><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time( get_option( 'date_format' ) ); ?></abbr>.</span>
			<?php printf(__('%s', 'thematic'), get_the_tag_list('<span class="meta-utility tag-links">Tagged ', ', ', '.</span>')) ?>
    		<?php printf(__('<span class="meta-utility entry-permalink">Bookmark the <a href="%1$s" title="Permalink to %2$s" rel="bookmark">Permalink</a>.</span>', 'thematic'),
    			get_permalink(),
    			wp_specialchars(get_the_title(), 'double') ) ?>
 
		    <?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) : // Comments and trackbacks open ?>
		    		<?php printf(__('<span class="meta-utility comment-link">Post a <a href="#respond" title="Post a comment">Comment</a>.</span> <span class="meta-utility trackback-link">Leave a <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback URL</a>.</span>', 'thematic'), get_trackback_url()) ?>
		    <?php elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) : // Only trackbacks open ?>
		    		<?php printf(__('<span class="meta-utility trackback-link">Comments are closed, but you can leave a trackback: <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback URL</a>.</span>', 'thematic'), get_trackback_url()) ?>
		    <?php elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) : // Only comments open ?>
		    		<?php printf(__('<span class="meta-utility comment-link">Trackbacks are closed, but you can <a class="comment-link" href="#respond" title="Post a comment">post a comment</a>.</span>', 'thematic')) ?>
		    <?php elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) : // Comments and trackbacks closed ?>
		    		<?php _e('<span class="meta-utility comment-link">Both comments and trackbacks are currently closed.</span>') ?>
		    <?php endif; ?>
		    <?php edit_post_link(__('Edit', 'thematic'), "\n\t\t\t\t\t<span class=\"meta-utility edit-link\">", ".</span>"); ?>
 
    	</div><!-- .entry-utility -->

    <?php } elseif (is_single()) { ?>
		<h2 class="entry-title"><?php the_title(); ?></h2>
    	<div class="entry-utility">
    	<span class="meta-utility author vcard"><?php _e('Written by ', 'thematic'); ?><?php the_author_posts_link(); ?>.</span>
    	<?php $my_link = get_post_meta(get_the_ID(), 'linked_list_url', true);

       if ($my_link != '') { ?>

	<span class="meta-utility">Jump to this&nbsp;<a href="<?php echo $my_link;?>">Link &#x279a;</a></span>

<?php } ?>
			
    		<span class="meta-utility entry-date"><?php _e('On ', 'thematic'); ?><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time( get_option( 'date_format' ) ); ?></abbr>.</span>
			<span class="meta-utility cat-links"><?php printf(__('In %s.', 'thematic'), get_the_category_list(', ')) ?></span>
			
			
    		
 
		    <?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) : // Comments and trackbacks open ?>
		    		<?php printf(__('<span class="meta-utility comment-link">Post a <a href="#respond" title="Post a comment">Comment</a>.</span> <span class="meta-utility trackback-link">Leave a <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback URL</a>.</span>', 'thematic'), get_trackback_url()) ?>
		    <?php elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) : // Only trackbacks open ?>
		    		<?php printf(__('<span class="meta-utility trackback-link">Comments are closed, but you can leave a trackback: <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback URL</a>.</span>', 'thematic'), get_trackback_url()) ?>
		    <?php elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) : // Only comments open ?>
		    		<?php printf(__('<span class="meta-utility comment-link">Trackbacks are closed, but you can <a class="comment-link" href="#respond" title="Post a comment">post a comment</a>.</span>', 'thematic')) ?>
		    <?php elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) : // Comments and trackbacks closed ?>
		    		<?php _e('<span class="meta-utility comment-link">Both comments and trackbacks are currently closed.</span>') ?>
		    <?php endif; ?>
		    
 
    	</div><!-- .entry-utility -->

    <?php } elseif (is_home() || is_archive() || is_search()) { ?>
		<?php if ($post->post_type == 'post') { // Hide entry meta on searches ?>
			<h3 class="entry-title"><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), wp_specialchars(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h3>
    		<div class="entry-utility">
				<span class="meta-utility author vcard"><?php _e('Written by ', 'thematic'); ?><?php the_author_posts_link(); ?>.</span>
    			<span class="meta-utility entry-date"><?php _e('Posted on ', 'thematic'); ?><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time( get_option( 'date_format' ) ); ?></abbr>.</span>
    			<span class="meta-utility cat-links"><?php printf(__('In %s.', 'thematic'), get_the_category_list(', ')) ?></span>
    			
    			<span class="meta-utility comments-link"><?php comments_popup_link(__('No comments', 'thematic'), __('1 Comment', 'thematic'), __('% Comments', 'thematic')) ?>.</span>
                
    		</div><!-- .entry-utility -->
			<?php if ($nt_show_full_posts =='true') { ?>
				<!-- No Thumnails --> 
			<?php } elseif ($nt_show_full_posts =='false') { ?>
				<?php if ( has_post_thumbnail() ) { ?>
			    	<div class="entry-thumb-image">
						<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_thumbnail('thumbnail'); ?></a>
			    	</div>
				<?php } else { ?>
			    	<div class="entry-thumb-image">
						<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_image(); ?></a>
			    	</div>
				<?php } ?>
			<?php } ?>

		<?php } else { ?>
			<h3 class="entry-title single-page-title"><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), wp_specialchars(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h3>
			<?php edit_post_link(__('Edit', 'thematic'), "<div class=\"entry-utility\">\t\t\t\t\t\n<span class=\"meta-utility edit-link\">", "</span>\t\t\t\t\t</div><!-- .entry-utility -->"); ?>
    		
		<?php } ?>
				
    <?php } else { ?>
		<h2 class="entry-title"><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), wp_specialchars(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h2>
		<?php if ($post->post_type == 'post') { // Hide entry meta on searches ?>
    		<div class="entry-utility">
				<span class="meta-utility author vcard"><?php _e('Written by ', 'thematic'); ?><?php the_author_posts_link(); ?>.</span>
    			<span class="meta-utility entry-date"><?php _e('Posted on ', 'thematic'); ?><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time( get_option( 'date_format' ) ); ?></abbr>.</span>
    			<span class="meta-utility cat-links"><?php printf(__('Filed under %s.', 'thematic'), get_the_category_list(', ')) ?></span>
    			<?php printf(__('%s', 'thematic'), get_the_tag_list('<span class="meta-utility tag-links">Tagged ', ', ', '.</span>')) ?>
    			<span class="meta-utility comments-link"><?php comments_popup_link(__('No comments', 'thematic'), __('1 Comment', 'thematic'), __('% Comments', 'thematic')) ?>.</span>
                <?php edit_post_link(__('Edit', 'thematic'), "\t\t\t\t\t\n<span class=\"meta-utility edit-link\">", ".</span>\t\t\t\t\t"); ?>
    		</div><!-- .entry-utility -->

		<?php } ?>
    <?php }
}
add_filter ('thematic_postheader', 'neutica_post_header');

//	Custom Post Footer
function neutica_postfooter() {
    global $post; 
	
	if (is_attachment()) { ?>
		<div class="attachment-nav">
			<span class="meta attachment-previous"><?php previous_image_link($size = 'thumbnail'); ?></span>
			<span class="meta attachment-next"><?php next_image_link($size = 'thumbnail'); ?></span>
		</div>
    <?php } else { ?>

    <?php }
}
add_filter ('thematic_postfooter', 'neutica_postfooter');

// Adds Neutica above navigation with brackets
function neutica_nav_below() {
		if (is_single()) { ?>

			<div id="nav-below" class="navigation">
				<div class="nav-previous"><?php thematic_previous_post_link() ?></div>
				<div class="nav-next"><?php thematic_next_post_link() ?></div>
			</div>

<?php
		} else { ?>

			<div id="nav-below" class="navigation">
                <?php if(function_exists('wp_pagenavi')) { ?>
                <?php wp_pagenavi(); ?>
                <?php } else { ?>  
				<div class="nav-previous"><?php next_posts_link(__('<span class="meta-nav">&lang;</span> Older posts', 'thematic')) ?></div>
				<div class="nav-next"><?php previous_posts_link(__('Newer posts <span class="meta-nav">&rang;</span>', 'thematic')) ?></div>
				<?php } ?>
			</div>	
	
<?php
		}
}
add_action('thematic_navigation_below', 'neutica_nav_below', 2);

// Custom Neutica Thumbnail Sizes
if( FALSE === get_option('neutica_size_w') ) {
	add_option('neutica_size_w', '185');
	add_option('neutica_size_h', '185');
	add_option('neutica_crop', '1');
} else {
	update_option('neutica_size_w', '185');
	update_option('neutica_size_h', '185');
	update_option('neutica_crop', '1');
}

function neutica_image_sizes( $sizes ) {
	$sizes[] = 'neutica';
	return $sizes;
}
add_filter( 'intermediate_image_sizes', 'neutica_image_sizes' );

// Post Attachment image function. Image URL for CSS Background. 
function the_post_image_url($size=large) {
	
	global $post;
	$linkedimgurl = get_post_meta ($post->ID, 'image_url', true);

	if ( $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',)))
	{
		foreach( $images as $image ) {
			$attachmenturl=wp_get_attachment_image_src($image->ID, $size);
			$attachmenturl=$attachmenturl[0];
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );

			echo ''.$attachmenturl.'';
		}
		
	} elseif ( $linkedimgurl ) {

		echo $linkedimgurl;

	} elseif ( $linkedimgurl && $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',)))
	{
		foreach( $images as $image ) {
			$attachmenturl=wp_get_attachment_image_src($image->ID, $size);
			$attachmenturl=$attachmenturl[0];
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );

			echo ''.$attachmenturl.'';
		}
		
	} else {
		echo '' . get_bloginfo ( 'stylesheet_directory' ) . '/img/no-attachment.gif';
	}
}

//	Post Attachment image function. Direct link to file. 
function the_post_image($size=large, $fullsize=false, $width=300, $height=600, $max_dims=false) {
	
	global $post;
	$linkedimgtag = get_post_meta ($post->ID, 'image_tag', true);
	
	if ( $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',)))
		{
		foreach( $images as $image ) {
			$attachmenturl=wp_get_attachment_url($image->ID);
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );
			$attachmentresize=get_attachment_innerHTML($image->ID, $fullsize, array($width, $height));

			echo $attachmentimage;
		}
		
	} elseif ( $linkedimgtag ) {

		echo $linkedimgtag;

	} elseif ( $linkedimgtag && $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',)))
		{
		foreach( $images as $image ) {
			$attachmenturl=wp_get_attachment_url($image->ID);
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );
			$attachmentresize=get_attachment_innerHTML($image->ID, $size, array($width, $height));

			echo $attachmentresize;
		}
		
	} elseif (get_post_meta($post->ID, 'image_tag', $single = true) == "" && is_single()) {
		// Don’t show anything on Single pages that don’t have Image or Video attachments.

	} else {
		echo '<!-- No Image Attached! -->';
		echo '<img src="';
		echo get_bloginfo ( 'stylesheet_directory' ) . '/img/no-attachment.gif';
		echo '" width="185" height="185" />';
	}
}

//	Setup Images for Attachment functions 
function image_setup($postid) {
	global $post;
	$post = get_post($postid);

	//	get url
	if ( !preg_match('/<img ([^>]*)src=(\"|\')(.+?)(\2)([^>\/]*)\/*>/', $post->post_content, $matches) ) {
		return false;
	}

	//	url setup /**/
	$post->image_url = $matches[3];
	if ( !$post->image_url = preg_replace('/\?w\=[0-9]+/','', $post->image_url) )
		return false;

	$post->image_url = clean_url( $post->image_url, 'raw' );
	
	delete_post_meta($post->ID, 'image_url');
	delete_post_meta($post->ID, 'image_tag');

	add_post_meta($post->ID, 'image_url', $post->image_url);
	add_post_meta($post->ID, 'image_tag', '<img src="'.$post->image_url.'" />');
}
add_action('publish_post', image_setup);
add_action('publish_page', image_setup);

// Adds the leading sidebar above the Primary and Secondary Sidebars
function neutica_leading_sidebar() { ?>
<div id="sidebar">

	<?php if (is_sidebar_active('leading-sidebar-aside')) {
		echo thematic_before_widget_area('leading-sidebar-aside');
		dynamic_sidebar('leading-sidebar-aside');
		echo thematic_after_widget_area('leading-sidebar-aside');
	} ?>
	
<?php }
add_action('thematic_abovemainasides','neutica_leading_sidebar');


// Close div#sidebar
function neutica_close_neutica_leading_sidebar() { ?>
</div><!-- #sidebar -->
<?php }
add_action('thematic_belowmainasides','neutica_close_neutica_leading_sidebar');

// Register the Leading Sidebar and the Page Menu widget
function neutica_widgets_init() {
    
    // Register the Leading Sidebar
    register_sidebar(array(
        'name' => 'Leading Sidebar',
        'id' => 'leading-sidebar-aside',
        'before_widget' => '<li id="%1$s" class="widgetcontainer %2$s">',
        'after_widget' => "</li>",
        'before_title' => "<h3 class=\"widgettitle\">",
        'after_title' => "</h3>\n",
    ));  

}
add_action( 'init', 'neutica_widgets_init' );

// UNregister unnecessary sidebars
function neutica_sidebars_init() {

	global $childoptions;
	foreach ($childoptions as $value) {
	    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
	}

	unregister_sidebar('1st-subsidiary-aside');
	unregister_sidebar('2nd-subsidiary-aside');
	unregister_sidebar('3rd-subsidiary-aside');
	unregister_sidebar('index-insert');

	if($nt_ad_spaces =='false') {	
		unregister_sidebar('index-top');
		unregister_sidebar('index-bottom');
		unregister_sidebar('single-top');
		unregister_sidebar('single-insert');
		unregister_sidebar('single-bottom');
		unregister_sidebar('page-top');
		unregister_sidebar('page-bottom');
	}
}
add_action( 'init', 'neutica_sidebars_init',20 );

//	Define Thematic Constants
//	------------------------------------------------------------------------------
define('THEMATIC_COMPATIBLE_BODY_CLASS', true);
define('THEMATIC_COMPATIBLE_POST_CLASS', true);
define('THEMATIC_COMPATIBLE_COMMENT_FORM', true);
define('THEMATIC_COMPATIBLE_FEEDLINKS', true);

//	Neutica+ Options
//	------------------------------------------------------------------------------
//

// Preset Widgets
$preset_neutica_widgets = array (
	'leading-sidebar-aside'  => array( 'neutica_page_menu', 'search' ),
	'primary-aside'  => array( 'categories', 'archives' ),
	'secondary-aside'  => array( 'links', 'meta' )
);

// Custom Settings initiated at activation
if ( is_admin() && isset($_GET['activated'] ) && $pagenow == 'themes.php' ) {
	update_option('thumbnail_size_h', '185');
	update_option('thumbnail_size_w', '185');
	update_option('thumbnail_crop', '1');

	update_option('medium_size_h', '285');
	update_option('medium_size_w', '285');
	update_option('medium_crop', '0');

	update_option('large_size_h', '585');
	update_option('large_size_w', '585');
	update_option('large_crop', '0');

	update_option('thread_comments', '1');
	update_option('thread_comments_depth', '3');

	// Doesn’t work at the moment.
	update_option('sidebars_widgets', $preset_neutica_widgets);
}

// Setup Options
$childthemename = "Neutica+";
$childshortname = "nt";
$childoptions = array();

function neutica_childoptions() {
    global $childthemename, $childshortname, $childoptions;

    $childoptions = array (
				array(	"name" => __('Background Color','thematic'),
						"desc" => __('Change the background and highlight colors by entering a HEX color number. (ie: FF6600)','thematic'),
						"id" => $childshortname."_bg_color",
						"std" => "FFFFFF",
						"type" => "colorpicker"),

				array(	"name" => __('Foreground Color','thematic'),
						"desc" => __('Change the foreground links and border colors by entering a HEX color number. (ie: 003333)','thematic'),
						"id" => $childshortname."_fg_color",
						"std" => "000000",
						"type" => "colorpicker"),

				array(	"name" => __('Text Color','thematic'),
						"desc" => __('Change the color of reading text by entering a HEX color number. (ie: 003333)','thematic'),
						"id" => $childshortname."_text_color",
						"std" => "777777",
						"type" => "colorpicker"),

				array(	"name" => __('Featured/Sticky Posts','thematic'),
						"desc" => __("Display a randomized sliding featured/sticky post section on the home page.",'thematic'),
						"id" => $childshortname."_featured_posts",
						"std" => "none",
						"childoptions" => array(
							'sliding' => __( 'Show SLIDING featured posts.' ),
							'static' => __( 'Show STATIC featured posts (original).' ),
							'none' => __( 'Don’t show featured posts.' )
						),
						"type" => "radio"),

				array(	"name" => __('Show Full Posts','thematic'),
						"desc" => __("Show full post content on home and archive pages.",'thematic'),
						"id" => $childshortname."_show_full_posts",
						"std" => "false",
						"type" => "checkbox"),

				array(	"name" => __('Header Page Menu','thematic'),
						"desc" => __("Check this to add a horizontal page menu just below the header.",'thematic'),
						"id" => $childshortname."_head_menu",
						"std" => "false",
						"type" => "checkbox"),

				array(	"name" => __('Centered layout','thematic'),
						"desc" => __("Check this box to center the layout.",'thematic'),
						"id" => $childshortname."_left_or_centered",
						"std" => "false",
						"type" => "checkbox"),

				array(	"name" => __('Ad space widgets','thematic'),
						"desc" => __("Check this box to add more ad space/sidebar options to the widgets panel.",'thematic'),
						"id" => $childshortname."_ad_spaces",
						"std" => "false",
						"type" => "checkbox"),

		);
}
add_action('init', 'neutica_childoptions');

// Neutica+ Options Page
function neutica_add_admin() {

    global $childthemename, $childshortname, $childoptions;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($childoptions as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($childoptions as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($childoptions as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($childthemename." Options", "$childthemename Options", 'edit_themes', basename(__FILE__), 'neutica_admin');

}

function neutica_admin() {

    global $childthemename, $childshortname, $childoptions;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$childthemename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$childthemename.' settings reset.</strong></p></div>';
    
?>
<script language="javascript" type="text/javascript" src="<?php echo bloginfo('stylesheet_directory') ?>/js/jscolor/jscolor.js"></script>
<div class="wrap">
<?php if ( function_exists('screen_icon') ) screen_icon(); ?>
<h2><?php echo $childthemename; ?> Options</h2>

<form method="post" action="">

	<table class="form-table">

<?php foreach ($childoptions as $value) { 
	
	switch ( $value['type'] ) {
		case 'text':
		?>
		<tr valign="top"> 
			<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo __($value['name'],'thematic'); ?></label></th>
			<td>
				<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
				<?php echo __($value['desc'],'thematic'); ?>

			</td>
		</tr>
		<?php
		break;
		
		case 'colorpicker':
		?>
		<tr valign="top"> 
			<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo __($value['name'],'thematic'); ?></label></th>
			<td>
				<input type="<?php echo $value['type']; ?>" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" class="color {pickerPosition:'right'}" />
				<?php echo __($value['desc'],'thematic'); ?>

			</td>
		</tr>
		<?php
		break;
		
		case 'select':
		?>
		<tr valign="top">
			<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo __($value['name'],'thematic'); ?></label></th>
				<td>
					<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
					<?php foreach ($value['childoptions'] as $option) { ?>
					<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
					<?php } ?>
				</select>
			</td>
		</tr>
		<?php
		break;
		
		case 'textarea':
		$ta_childoptions = $value['childoptions'];
		?>
		<tr valign="top"> 
			<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo __($value['name'],'thematic'); ?></label></th>
			<td><textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" cols="<?php echo $ta_childoptions['cols']; ?>" rows="<?php echo $ta_childoptions['rows']; ?>"><?php 
				if( get_option($value['id']) != "") {
						echo __(stripslashes(get_option($value['id'])),'thematic');
					}else{
						echo __($value['std'],'thematic');
				}?></textarea><br /><?php echo __($value['desc'],'thematic'); ?></td>
		</tr>
		<?php
		break;

		case 'radio':
		?>
		<tr valign="top"> 
			<th scope="row"><?php echo __($value['name'],'thematic'); ?></th>
			<td>
				<?php foreach ($value['childoptions'] as $key=>$option) { 
				$radio_setting = get_option($value['id']);
				if($radio_setting != ''){
					if ($key == get_option($value['id']) ) {
						$checked = "checked=\"checked\"";
						} else {
							$checked = "";
						}
				}else{
					if($key == $value['std']){
						$checked = "checked=\"checked\"";
					}else{
						$checked = "";
					}
				}?>
				<input type="radio" name="<?php echo $value['id']; ?>" id="<?php echo $value['id'] . $key; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><label for="<?php echo $value['id'] . $key; ?>"><?php echo $option; ?></label><br />
				<?php } ?>
			</td>
		</tr>
		<?php
		break;
		
		case 'checkbox':
		?>
		<tr valign="top"> 
			<th scope="row"><?php echo __($value['name'],'thematic'); ?></th>
			<td>
				<?php
					if(get_option($value['id'])){
						$checked = "checked=\"checked\"";
					}else{
						$checked = "";
					}
				?>
				<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
				<label for="<?php echo $value['id']; ?>"><?php echo __($value['desc'],'thematic'); ?></label>
			</td>
		</tr>
		<?php
		break;

		default:

		break;
	}
}
?>

	</table>

	<p class="submit">
		<input name="save" type="submit" value="<?php _e('Save changes','thematic'); ?>" />    
		<input type="hidden" name="action" value="save" />
	</p>
</form>
<form method="post" action="">
	<p class="submit">
		<input name="reset" type="submit" value="<?php _e('Reset','thematic'); ?>" />
		<input type="hidden" name="action" value="reset" />
	</p>
</form>

<p><?php _e('For more information about this theme, visit the <a href="http://fthrwght.com/neuticaplus" target="_blank">Neutica+ Theme Page</a>.', 'thematic'); ?></p>

</div>
<?php
}

add_action('admin_menu' , 'neutica_add_admin'); 

//
//  Extra Neutica+ Stuff
//	------------------------------------------------------------------------------
//

// Neutica+ release page link. Use the [theme-link] shortcode under Thematic footer text options
function neutica_theme_link($themelink) {
    return '<a class="child-theme-link" href="http://fthrwght.com/neuticaplus/" title="Powered By Neutica" rel="theme">Neutica+ Theme</a>';
}
add_filter('thematic_theme_link', 'neutica_theme_link');

// Design Credit
function neutica_credit() { ?>
<!-- Site design based on the Neutica+ WordPress theme by Allan Cole. http://fthrwght.com/neuticaplus/ -->
<?php }
add_action('wp_footer','neutica_credit');
?>